{% extends "quizapp/base.html" %}
{% block title %} | Výsledky
    {{ quiz.start|date:"d. m. Y" }}
    {% if quiz.start|date:"d. m. Y" != quiz.end|date:"d. m. Y" %}
        - {{ quiz.end|date:"d. m. Y" }}
    {% endif %}
{% endblock %}
{% block body %}
            <ol class="breadcrumb" style="background-color: transparent; padding-top: 0; padding-bottom: 0; padding: calc(1rem + 30px) calc(1rem + 30px) 0 calc(1rem + 30px) ">
            <li class="breadcrumb-item">
                <a href="{% url 'quiz' quiz.id %}" style="color: inherit">
                    {{ quiz.start|date:"d. m. Y" }}
                    {% if quiz.start|date:"d. m. Y" != quiz.end|date:"d. m. Y" %}
                        - {{ quiz.end|date:"d. m. Y" }}
                    {% endif %}
                </a>
            </li>
            <li class="breadcrumb-item active" aria-current="page">Výsledky</li>
        </ol>
    <h3 style="padding: 0 calc(1rem + 30px) calc(1rem + 30px) calc(1rem + 30px)">Výsledky kvízu
        {{ quiz.start|date:"d. m. Y" }}
        {% if quiz.start|date:"d. m. Y" != quiz.end|date:"d. m. Y" %}
            - {{ quiz.end|date:"d. m. Y" }}
        {% endif %}
    </h3>
    <div class="row justify-content-around" style="padding: 0 calc(2rem + 30px) 0 calc(2rem + 30px)">
        <div class="card bg-light col-lg-12">
            <div class="card-body">
                <div class="row justify-content-between" style="padding: 0 1rem 0 1rem">
                    <div class="col-2" style="padding: 0">
                            <h5 class="card-title">Pořadí</h5>
                    </div>
                    <div class="col-8" style="padding: 0">
                            <h5 class="card-title">Tým
                            </h5>
                    </div>
                     <div class="col-2" style="padding: 0">
                            <h5 class="card-title">Body</h5>
                    </div>
                </div>
                <div class="row" style="padding: 0.25rem 0 0.25rem 0;">
                    {% for result in results %}
                        <hr style="width: 100%"/>
                       </div>
                            <div class="row justify-content-between" style="padding: 0 1rem 0 1rem">
                                <div class="col-2" style="padding: 0">
                                        <h5 class="card-title">{{ result.position }}</h5>
                                </div>
                                <div class="col-8" style="padding: 0">
                                     <a href="{% url 'team' result.team.id %}">
                                        <h5 class="card-title">{{ result.team.name }}
                                        </h5>
                                    </a>
                                    <p class="card-text">
                                        {{ result.team.captain_name }} {{ result.team.captain_surname }}
                                    </p>
                                </div>
                                 <div class="col-2" style="padding: 0">
                                        <h5 class="card-title">{{ result.points }}</h5>
                                </div>
                            </div>
                        <div class="row">
                    {% endfor %}
                </div>
            </div>
        </div>
    </div>
{% endblock %}
